# class Date

Date serialization/deserialization

### Public Class Methods

json_create(object) click to toggle source

Deserializes JSON string by converting Julian year `y`, month `m`, day `d` and Day of Calendar Reform `sg` to Date.

    # File lib/json/add/date.rb, line 11
    def self.json_create(object)
      civil(*object.values_at('y', 'm', 'd', 'sg'))
    end

### Public Instance Methods

as_json(*) click to toggle source

Returns a hash, that will be turned into a JSON object and represent this object.

    # File lib/json/add/date.rb, line 19
    def as_json(*)
      {
        JSON.create_id => self.class.name,
        'y' => year,
        'm' => month,
        'd' => day,
        'sg' => start,
      }
    end

to_json(*args) click to toggle source

Stores class name (Date) with Julian year `y`, month `m`, day `d` and Day of Calendar Reform `sg` as JSON string

    # File lib/json/add/date.rb, line 31
    def to_json(*args)
      as_json.to_json(*args)
    end